
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_ESTTYPE') 
CREATE TABLE T_PMPD_ESTTYPE (
  FID                  BIGINT          DEFAULT 0    NOT NULL,        
  FNUMBER              NVARCHAR(30)    DEFAULT ' '  NOT NULL, 	
  FSTATUS              NVARCHAR(1)     DEFAULT ' '  NOT NULL, 	
  FCREATORID           BIGINT          DEFAULT 0    NOT NULL,   	
  FMODIFIERID          BIGINT          DEFAULT 0    NOT NULL,  	
  FENABLE              NVARCHAR(1)     DEFAULT ' '  NOT NULL, 	
  FCREATETIME          DATETIME,                  	
  FMODIFYTIME          DATETIME,                 
  FMASTERID            BIGINT          DEFAULT 0    NOT NULL,    
  FPARENTID            BIGINT          DEFAULT 0    NOT NULL,    
  FORGID               BIGINT          DEFAULT 0    NOT NULL,    
  FCREATEORGID         BIGINT          DEFAULT 0    NOT NULL, 	
  FUSEORGID            BIGINT          DEFAULT 0    NOT NULL,   
  FCTRLSTRATEGY        NVARCHAR(5)     DEFAULT ' '  NOT NULL, 	
  FSOURCEDATAID        BIGINT          DEFAULT 0    NOT NULL, 
  FBITINDEX            INT             DEFAULT 0    NOT NULL,       
  FSOURCEBITINDEX      INT             DEFAULT 0    NOT NULL, 	
  FPROJECTORGID        BIGINT          DEFAULT 0    NOT NULL, 	
  FSALESORGID          BIGINT          DEFAULT 0    NOT NULL,  	
  FREMARK              NVARCHAR(255)   DEFAULT ' '  NOT NULL, 	
  FAUDITORID           BIGINT          DEFAULT 0    NOT NULL,   	
  FAUDITTIME           DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_ESTTYPE_L')
CREATE TABLE T_PMPD_ESTTYPE_L
(
  FPKID                NVARCHAR(255)   DEFAULT ' '  NOT NULL,     
  FID                  BIGINT          DEFAULT 0    NOT NULL,          
  FLOCALEID            NVARCHAR(255)   DEFAULT ' '  NOT NULL,        
  FNAME                NVARCHAR(50)    DEFAULT ' '  NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_OFFERTYPE')
CREATE TABLE T_PMPD_OFFERTYPE
(
  FID                  BIGINT          DEFAULT 0    NOT NULL,          
  FNUMBER              NVARCHAR(30)    DEFAULT ' '  NOT NULL, 	
  FSTATUS              NVARCHAR(1)     DEFAULT ' '  NOT NULL, 
  FCREATORID           BIGINT          DEFAULT 0    NOT NULL,   	
  FMODIFIERID          BIGINT          DEFAULT 0    NOT NULL,  	
  FENABLE              NVARCHAR(1)     DEFAULT ' '  NOT NULL, 	
  FCREATETIME          DATETIME,                 
  FMODIFYTIME          DATETIME,                  
  FMASTERID            BIGINT          DEFAULT 0    NOT NULL,    	
  FPARENTID            BIGINT          DEFAULT 0    NOT NULL,    	
  FORGID               BIGINT          DEFAULT 0    NOT NULL,       	
  FCREATEORGID         BIGINT          DEFAULT 0    NOT NULL, 	
  FUSEORGID            BIGINT          DEFAULT 0    NOT NULL,    	
  FCTRLSTRATEGY        NVARCHAR(5)     DEFAULT ' '  NOT NULL, 
  FSOURCEDATAID        BIGINT          DEFAULT 0    NOT NULL, 
  FBITINDEX            INT             DEFAULT 0    NOT NULL,     
  FSOURCEBITINDEX      INT             DEFAULT 0    NOT NULL, 	
  FPROJECTORGID        BIGINT          DEFAULT 0    NOT NULL, 	
  FSALESORGID          BIGINT          DEFAULT 0    NOT NULL,  	
  FREMARK              NVARCHAR(255)   DEFAULT ' '  NOT NULL, 	
  FAUDITORID           BIGINT          DEFAULT 0    NOT NULL,   
  FAUDITDATE           DATETIME                
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_OFFERTYPE_L')
CREATE TABLE T_PMPD_OFFERTYPE_L
(
  FPKID                NVARCHAR(255)   DEFAULT ' '  NOT NULL,     
  FID                  BIGINT          DEFAULT 0    NOT NULL,          
  FLOCALEID            NVARCHAR(255)   DEFAULT ' '  NOT NULL,        
  FNAME                NVARCHAR(50)    DEFAULT ' '  NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_LCARDCONFIG')
CREATE TABLE T_PMPD_LCARDCONFIG
(
  FID                  BIGINT          DEFAULT 0    NOT NULL,        
  FNUMBER              NVARCHAR(30)    DEFAULT ' '  NOT NULL, 
  FSTATUS              NVARCHAR(1)     DEFAULT ' '  NOT NULL, 	
  FCREATORID           BIGINT          DEFAULT 0    NOT NULL,   
  FMODIFIERID          BIGINT          DEFAULT 0    NOT NULL,  	
  FENABLE              NVARCHAR(1)     DEFAULT ' '  NOT NULL, 	
  FCREATETIME          DATETIME ,                  	
  FMODIFYTIME          DATETIME ,                  	
  FMASTERID            BIGINT          DEFAULT 0    NOT NULL,    	
  FCREATEORGID         BIGINT          DEFAULT 0    NOT NULL, 
  FORGID               BIGINT          DEFAULT 0    NOT NULL,      
  FUSEORGID            BIGINT          DEFAULT 0    NOT NULL,    
  FCTRLSTRATEGY        NVARCHAR(5)     DEFAULT ' '  NOT NULL, 	
  FSOURCEDATAID        BIGINT          DEFAULT 0    NOT NULL, 
  FBITINDEX            INT             DEFAULT 0    NOT NULL,      
  FSOURCEBITINDEX      INT             DEFAULT 0    NOT NULL, 	
  FAUDITORID           BIGINT          DEFAULT 0    NOT NULL,   
  FAUDITDATE           DATETIME ,                   	
  FREMARK              NVARCHAR(255)   DEFAULT ' '  NOT NULL, 	
  FCURRENCYID          BIGINT          DEFAULT 0    NOT NULL,  	
  FAMOUNT              DECIMAL(23,10)  DEFAULT 0    NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_LCARDCONFIG_L')
CREATE TABLE T_PMPD_LCARDCONFIG_L
(
  FPKID                NVARCHAR(255)   DEFAULT ' '  NOT NULL,     
  FID                  BIGINT          DEFAULT 0    NOT NULL,          
  FLOCALEID            NVARCHAR(255)   DEFAULT ' '  NOT NULL,        
  FNAME                NVARCHAR(50)    DEFAULT ' '  NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_LCARDENTRY')
CREATE TABLE T_PMPD_LCARDENTRY
(
  FID                  BIGINT          DEFAULT 0    NOT NULL,         
  FENTRYID             BIGINT          DEFAULT 0    NOT NULL,     	
  FSEQ                 INT             DEFAULT 0    NOT NULL,            	
  FENTITYID            NVARCHAR(255)   DEFAULT ' '  NOT NULL, 	
  FFILTERTEXT          NVARCHAR(255)   DEFAULT ' '  NOT NULL, 	
  FFILTER              NVARCHAR(255)   DEFAULT ' '  NOT NULL, 
  FFILTER_TAG          NCLOB
);

