IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_SMLPROJECT')
CREATE TABLE T_PMPD_SMLPROJECT
(
  FID               BIGINT             DEFAULT 0      NOT NULL,          
  FNUMBER           NVARCHAR(30)       DEFAULT ' '    NOT NULL, 	
  FNAME             NVARCHAR(50)       DEFAULT ' '    NOT NULL,		
  FSTATUS           NVARCHAR(1)        DEFAULT ' '    NOT NULL, 
  FCREATORID        BIGINT             DEFAULT 0      NOT NULL,   	
  FMODIFIERID       BIGINT             DEFAULT 0      NOT NULL,  	
  FENABLE           NVARCHAR(1)        DEFAULT ' '    NOT NULL, 
  FCREATETIME       DATETIME ,                  	
  FMODIFYTIME       DATETIME ,                  
  FMASTERID         BIGINT             DEFAULT 0      NOT NULL,    	
  FCREATEORGID      BIGINT             DEFAULT 0      NOT NULL, 	
  FORGID            BIGINT             DEFAULT 0      NOT NULL,       
  FCTRLSTRATEGY     NVARCHAR(5)        DEFAULT ' '    NOT NULL, 	
  FSOURCEDATAID     BIGINT             DEFAULT 0      NOT NULL, 	
  FBITINDEX         INT                DEFAULT 0      NOT NULL,       	
  FSOURCEBITINDEX   INT                DEFAULT 0      NOT NULL, 	
  FAUDITORID        BIGINT             DEFAULT 0      NOT NULL,   
  FAUDITDATE        DATETIME ,                   	
  FENTITYOBJECTID   NVARCHAR(255)      DEFAULT ' '    NOT NULL, 	
  FREMARK           NVARCHAR(255)      DEFAULT ' '    NOT NULL, 
  FPROJECTORGID     BIGINT             DEFAULT 0      NOT NULL, 	
  FPROJECTS         INT                DEFAULT 0      NOT NULL,       	
  FISKPI            CHAR(1)            DEFAULT '0'    NOT NULL,    	
  FFILTERJSON       NVARCHAR(255)      DEFAULT ' '    NOT NULL, 
  FFILTERJSON_TAG   NCLOB, 	
  FFILTERALIAS      NVARCHAR(500)      DEFAULT ' '    NOT NULL, 
  FSCORELINE        INT                DEFAULT 0      NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_SMLPROJECT_L')
CREATE TABLE T_PMPD_SMLPROJECT_L
(
  FPKID             NVARCHAR(255)      DEFAULT ' '    NOT NULL,          
  FID               BIGINT             DEFAULT 0      NOT NULL,          
  FLOCALEID         NVARCHAR(255)      DEFAULT ' '    NOT NULL,          	
  FNAME             NVARCHAR(50)       DEFAULT ' '    NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MAINELEMENT')
CREATE TABLE T_PMPD_MAINELEMENT
(
  FID               BIGINT             DEFAULT 0      NOT NULL,          
  FENTRYID          BIGINT             DEFAULT 0      NOT NULL,     
  FSEQ              INT                DEFAULT 0      NOT NULL,       
  FUSEABLE          CHAR(1)            DEFAULT '0'    NOT NULL,  	
  FENTITYFIELD      NVARCHAR(80)       DEFAULT ' '    NOT NULL, 	
  FISASFILTER       CHAR(1)            DEFAULT '0'    NOT NULL, 	
  FPROJECTFIELD     NVARCHAR(80)       DEFAULT ' '    NOT NULL, 	
  FSCORE            INT                DEFAULT 0      NOT NULL,          
  FENTITYFIELDPROP  NVARCHAR(2000)     DEFAULT ' '    NOT NULL, 	
  FPROJECTFIELDPROP NVARCHAR(2000)     DEFAULT ' '    NOT NULL 	
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MAINELEMENT_L')
CREATE TABLE T_PMPD_MAINELEMENT_L
(
  FPKID             NVARCHAR(255)       DEFAULT ' '   NOT NULL,          	
  FENTRYID          BIGINT              DEFAULT 0     NOT NULL,          
  FLOCALEID         NVARCHAR(255)       DEFAULT ' '   NOT NULL,          
  FELEMENTNAME      NVARCHAR(50)        DEFAULT ' '   NOT NULL 	
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_HOLDELEMENT')
CREATE TABLE T_PMPD_HOLDELEMENT
(
  FID                   BIGINT           DEFAULT 0     NOT NULL,      
  FENTRYID              BIGINT           DEFAULT 0     NOT NULL,     
  FSEQ                  INT              DEFAULT 0     NOT NULL,            
  FHOLDOBJECTID         NVARCHAR(255)    DEFAULT ' '   NOT NULL, 
  FHOLDFILTERALIAS      NVARCHAR(500)    DEFAULT ' '   NOT NULL, 	
  FHOLDFILTERJSON       NVARCHAR(255)    DEFAULT ' '   NOT NULL, 	
  FHOLDFILTERJSON_TAG   NCLOB, 	 
  FHOLDSCORE            INT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_HOLDELEMENT_L')
CREATE TABLE T_PMPD_HOLDELEMENT_L
(
  FPKID                 NVARCHAR(255)     DEFAULT ' '   NOT NULL,          
  FENTRYID              BIGINT            DEFAULT 0     NOT NULL,          
  FLOCALEID             NVARCHAR(255)     DEFAULT ' '   NOT NULL,        
  FHOLDNAME             NVARCHAR(50)      DEFAULT ' '   NOT NULL	
);
