IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PROJECT_MEETING')
 CREATE TABLE T_PMPD_PROJECT_MEETING (
	FID                  BIGINT             DEFAULT 0      NOT NULL,       
	FBILLNO              NVARCHAR(30)       DEFAULT ' '    NOT NULL,       
	FBILLSTATUS          NVARCHAR(50)       DEFAULT ' '    NOT NULL,        
	FCREATORID           BIGINT             DEFAULT 0      NOT NULL,      
	FMODIFIERID          BIGINT             DEFAULT 0      NOT NULL,       
	FAUDITORID           BIGINT             DEFAULT 0      NOT NULL,       
	FAUDITDATE           DATETIME,       
	FMODIFYTIME          DATETIME,       
	FCREATETIME          DATETIME,        
	FORGID               BIGINT             DEFAULT 0      NOT NULL,     
	FNAME                NVARCHAR(50)       DEFAULT ' '    NOT NULL,      
	FCUSTOMERID          BIGINT             DEFAULT 0      NOT NULL,       
	FPROJECTID           BIGINT             DEFAULT 0      NOT NULL,      
	FEQUIPMENTID         BIGINT             DEFAULT 0      NOT NULL,       
	FWORKPKGID           BIGINT             DEFAULT 0      NOT NULL,      
	FMEETSTARTDATE       DATETIME,        
	FMEETENDDATE         DATETIME,       
	FPLACE               NVARCHAR(255)      DEFAULT ' '    NOT NULL,       
	FREMARK              NVARCHAR(255)      DEFAULT ' '    NOT NULL,      
	FLARGETEXTFIELD      NVARCHAR(255)      DEFAULT ' '    NOT NULL,     
	FLARGETEXTFIELD_TAG  NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MEET_CCUSER')
 CREATE TABLE T_PMPD_MEET_CCUSER (
	FPKID                BIGINT             DEFAULT 0      NOT NULL,      
	FID                  BIGINT             DEFAULT 0      NOT NULL,        
	FBASEDATAID          BIGINT             DEFAULT 0      NOT NULL        
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MEET_ABSENT')
 CREATE TABLE T_PMPD_MEET_ABSENT (
	FID                  BIGINT             DEFAULT 0      NOT NULL,       
	FENTRYID             BIGINT             DEFAULT 0      NOT NULL,        
	FSEQ                 INT                DEFAULT 0      NOT NULL,       
	FABSENTTRADEID       BIGINT             DEFAULT 0      NOT NULL,        
	FABSENTORGID         BIGINT             DEFAULT 0      NOT NULL,       
	FABSENTUSERID        BIGINT             DEFAULT 0      NOT NULL,       
	FREAMRK              NVARCHAR(255)      DEFAULT ' '    NOT NULL     
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MEET_RISKMATTER')
 CREATE TABLE T_PMPD_MEET_RISKMATTER (
	FID                  BIGINT             DEFAULT 0       NOT NULL,       
	FENTRYID             BIGINT             DEFAULT 0       NOT NULL,        
	FSEQ                 INT                DEFAULT 0       NOT NULL,       
	FFOLLOWMATTER        NVARCHAR(50)       DEFAULT ' '     NOT NULL,      
	FFOLLOWTRADE         BIGINT             DEFAULT 0       NOT NULL,       
	FFOLLOWUSER          BIGINT             DEFAULT 0       NOT NULL,      
	FWORKCARD            BIGINT             DEFAULT 0       NOT NULL,       
	FCARDTRADE           BIGINT             DEFAULT 0       NOT NULL,     
	FMAINFLAG            CHAR(1)            DEFAULT '0'     NOT NULL,       
	FREAMRK              NVARCHAR(255)      DEFAULT ' '     NOT NULL,      
	FFOLLOWSTARTDATE     DATETIME,      
	FFOLLOWENDDATE       DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MEET_PRIORMATTER')
 CREATE TABLE T_PMPD_MEET_PRIORMATTER (
	FID                  BIGINT               DEFAULT 0     NOT NULL,      
	FENTRYID             BIGINT               DEFAULT 0     NOT NULL,      
	FSEQ                 INT                  DEFAULT 0     NOT NULL,       
	FFOLLOWMATTER        NVARCHAR(50)         DEFAULT ' '   NOT NULL,       
	FFOLLOWTRADEID       BIGINT               DEFAULT 0     NOT NULL,       
	FFOLLOWUSERID        BIGINT               DEFAULT 0     NOT NULL,       
	FWORKCARDID          BIGINT               DEFAULT 0     NOT NULL,       
	FCARDTRADEID         BIGINT               DEFAULT 0     NOT NULL,       
	FMAINFLAG            CHAR(1)              DEFAULT '0'   NOT NULL,        
	FREAMRK              NVARCHAR(255)        DEFAULT ' '   NOT NULL,  
	FFOLLOWSTARTDATE     DATETIME,        
	FFOLLOWENDDATE       DATETIME        
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MEET_WORKDETAIL')
 CREATE TABLE T_PMPD_MEET_WORKDETAIL (
	FID                 BIGINT               DEFAULT 0      NOT NULL,      
	FENTRYID            BIGINT               DEFAULT 0      NOT NULL,   
	FSEQ                INT                  DEFAULT 0      NOT NULL,      
	FWORKTYPE           NVARCHAR(50)         DEFAULT ' '    NOT NULL,    
	FDESC               NVARCHAR(50)         DEFAULT ' '    NOT NULL,      
	FDETAILS            NVARCHAR(255)        DEFAULT ' '    NOT NULL,      
	FDUTYORGID          BIGINT               DEFAULT 0      NOT NULL,     
	FFOLLOWSTARTDATE    DATETIME,       
	FFOLLOWENDDATE      DATETIME,     
	FPROGRESS           DECIMAL(23,4)        DEFAULT 0      NOT NULL,      
	FTASK               BIGINT               DEFAULT 0      NOT NULL,       
	FREMARK             NVARCHAR(255)        DEFAULT ' '    NOT NULL,      
	FDUTYUSERID         BIGINT               DEFAULT 0      NOT NULL       
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MEET_WORKDETAIL_L')
 CREATE TABLE T_PMPD_MEET_WORKDETAIL_L (
	FPKID               NVARCHAR(36)         DEFAULT ' '    NOT NULL,     
	FENTRYID            BIGINT               DEFAULT 0      NOT NULL,       
	FLOCALEID           NVARCHAR(10)         DEFAULT ' '    NOT NULL,        
	FDESC               NVARCHAR(50)         DEFAULT ' '    NOT NULL  
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_MEET_ATTEND')
 CREATE TABLE T_PMPD_MEET_ATTEND (
	FID                BIGINT       DEFAULT 0    NOT NULL,       
	FENTRYID           BIGINT       DEFAULT 0    NOT NULL,        
	FSEQ               INT          DEFAULT 0    NOT NULL,       
	FATTENDTRADEID      BIGINT       DEFAULT 0    NOT NULL,        
	FORGFIELD          BIGINT       DEFAULT 0    NOT NULL,      
	FATTENDUSERID      BIGINT       DEFAULT 0    NOT NULL 
);





