IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_ESTIMATE_HOURS') 
CREATE TABLE T_PMPD_ESTIMATE_HOURS (
	FID                         BIGINT             DEFAULT 0 NOT NULL,              
    FNUMBER                     NVARCHAR(30)       DEFAULT ' ' NOT NULL,      
    FNAME                       NVARCHAR(50)       DEFAULT ' ' NOT NULL,      
    FSTATUS                     NVARCHAR(50)       DEFAULT ' ' NOT NULL,      
    FCREATORID                  BIGINT             DEFAULT 0 NOT NULL,              
    FMODIFIERID                 BIGINT             DEFAULT 0 NOT NULL,              
    FENABLE                     NVARCHAR(50)       DEFAULT ' ' NOT NULL,      
    FCREATETIME                 DATETIME,                               
    FMODIFYTIME                 DATETIME,                               
    FMASTERID                   BIGINT             DEFAULT 0 NOT NULL,              
    FCREATEORGID                BIGINT             DEFAULT 0 NOT NULL,              
    FORGID                      BIGINT             DEFAULT 0 NOT NULL,              
    FCTRLSTRATEGY               NVARCHAR(50)       DEFAULT ' ' NOT NULL,      
    FSOURCEDATAID               BIGINT             DEFAULT 0 NOT NULL,              
    FBITINDEX                   INT                DEFAULT 0 NOT NULL,               
    FSOURCEBITINDEX             INT                DEFAULT 0 NOT NULL,               
    FAUDITOR                    BIGINT             DEFAULT 0 NOT NULL,              
    FAUDITTIME                  BIGINT             DEFAULT 0 NOT NULL,            
    FCUSTOMERID                 BIGINT             DEFAULT 0 NOT NULL,              
    FCHECKLEVELID               BIGINT             DEFAULT 0 NOT NULL,              
    FCHECKTYPEID                BIGINT             DEFAULT 0 NOT NULL,             
    FTRT                        DECIMAL(23,10)     DEFAULT 0 NOT NULL,     
    FEFFECTIVEDATE              DATETIME,                              
    FEXPIRATIONDATE             DATETIME,                              
    FSIMILARPROJECTSCHEMEID     BIGINT             DEFAULT 0 NOT NULL,              
    FVERSION                    INT                DEFAULT 0 NOT NULL,                 
    FSALESHOURS                 DECIMAL(23,10)     DEFAULT 0 NOT NULL,     
    FISHISTORY                  CHAR(1)            DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_ESTIMATE_HOURS_L') 
CREATE TABLE T_PMPD_ESTIMATE_HOURS_L (
	FPKID                       NVARCHAR(36)          DEFAULT ' ' NOT NULL,    
	FID                         BIGINT                DEFAULT 0 NOT NULL,            
	FLOCALEID                   NVARCHAR(10)          DEFAULT ' ' NOT NULL,     
    FNAME                       NVARCHAR(50)          DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_ESTIMATE_ENTRY') 
CREATE TABLE T_PMPD_ESTIMATE_ENTRY (
    FENTRYID                    BIGINT               DEFAULT 0 NOT NULL,            
    FID                         BIGINT               DEFAULT 0 NOT NULL,           
	FSEQ                        INT                  DEFAULT 0 NOT NULL,               
    FINDUSTRYID                 BIGINT               DEFAULT 0 NOT NULL,             
    FROUTINESTATISTICALHOUR     DECIMAL(23,10)       DEFAULT 0 NOT NULL,     
    FNOROUTINESTATISTICALHOUR   DECIMAL(23,10)       DEFAULT 0 NOT NULL,     
    FROUTINEWORKHOUR            DECIMAL(23,10)       DEFAULT 0 NOT NULL,     
    FNONROUTINEWORKHOUR         DECIMAL(23,10)       DEFAULT 0 NOT NULL,      
    FTOTALHOURS                 DECIMAL(23,10)       DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_ESTIMATE_PROJECT') 
CREATE TABLE T_PMPD_ESTIMATE_PROJECT (
    FPKID                  BIGINT                   DEFAULT 0 NOT NULL,    
    FID                    BIGINT                   DEFAULT 0 NOT NULL,    
	FBASEDATAID            NVARCHAR(36)             DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_STAGE_HOURS') 
CREATE TABLE T_PMPD_STAGE_HOURS (
    FID                         BIGINT              DEFAULT 0 NOT NULL,              
    FNUMBER                     NVARCHAR(30)        DEFAULT ' ' NOT NULL,      
    FNAME                       NVARCHAR(50)        DEFAULT ' ' NOT NULL,      
    FSTATUS                     NVARCHAR(50)        DEFAULT ' ' NOT NULL,      
    FCREATORID                  BIGINT              DEFAULT 0 NOT NULL,              
    FMODIFIERID                 BIGINT              DEFAULT 0 NOT NULL,             
    FENABLE                     NVARCHAR(50)        DEFAULT ' ' NOT NULL,      
    FCREATETIME                 DATETIME,                               
    FMODIFYTIME                 DATETIME,                               
    FMASTERID                   BIGINT              DEFAULT 0 NOT NULL,             
    FCREATEORGID                BIGINT              DEFAULT 0 NOT NULL,             
    FORGID                      BIGINT              DEFAULT 0 NOT NULL,            
    FCTRLSTRATEGY               NVARCHAR(50)        DEFAULT ' ' NOT NULL,      
    FSOURCEDATAID               BIGINT              DEFAULT 0 NOT NULL,             
    FBITINDEX                   INT                 DEFAULT 0 NOT NULL,                
    FSOURCEBITINDEX             INT                 DEFAULT 0 NOT NULL,               
    FAUDITOR                    BIGINT              DEFAULT 0 NOT NULL,             
    FAUDITTIME                  BIGINT              DEFAULT 0 NOT NULL,             
    FCUSTOMERID                 BIGINT              DEFAULT 0 NOT NULL,              
    FCHECKLEVELID               BIGINT              DEFAULT 0 NOT NULL,             
    FCHECKTYPEID                BIGINT              DEFAULT 0 NOT NULL,             
    FTRT                        DECIMAL(23,10)      DEFAULT 0 NOT NULL,     
    FEFFECTIVEDATE              DATETIME,                              
    FEXPIRATIONDATE             DATETIME,                              
    FSIMILARPROJECTSCHEMEID     BIGINT              DEFAULT 0 NOT NULL,             
    FVERSION                    INT                 DEFAULT 0 NOT NULL,              
    FSALESHOURS                 DECIMAL(23,10)      DEFAULT 0 NOT NULL,      
    FISHISTORY                  CHAR(1)             DEFAULT '0' NOT NULL,          
    FSHIFTSYSTEM                NVARCHAR(50)        DEFAULT ' ' NOT NULL,     
    FSTAGE                      INT                 DEFAULT 0 NOT NULL                
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_STAGE_HOURS_L') 
CREATE TABLE T_PMPD_STAGE_HOURS_L (
    FPKID                       NVARCHAR(36)        DEFAULT ' ' NOT NULL,     
    FID                         BIGINT              DEFAULT 0   NOT NULL,            
	FLOCALEID                   NVARCHAR(10)        DEFAULT ' ' NOT NULL,     
    FNAME                       NVARCHAR(50)        DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_STAGE_ENTRY') 
CREATE TABLE T_PMPD_STAGE_ENTRY (
    FENTRYID                    BIGINT             DEFAULT 0 NOT NULL,            
    FID                         BIGINT             DEFAULT 0 NOT NULL,            
	FSEQ                        INT                DEFAULT 0 NOT NULL,                
    FINDUSTRYID                 BIGINT             DEFAULT 0 NOT NULL,            
    FTOTALHOURS                 DECIMAL(23,10)     DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_STAGE_SUBENTRY') 
CREATE TABLE T_PMPD_STAGE_SUBENTRY (
    FDETAILID                   BIGINT            DEFAULT 0 NOT NULL,    
    FENTRYID                    BIGINT            DEFAULT 0 NOT NULL,            
	FSEQ                        INT               DEFAULT 0 NOT NULL,            
    FINDUSTRYID                 BIGINT            DEFAULT 0 NOT NULL,             
    FTOTALHOURS                 DECIMAL(23,10)    DEFAULT 0 NOT NULL,      
    FPERCENTAGE                 DECIMAL(23,10)    DEFAULT 0 NOT NULL,      
    FSTAGE                      INT               DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_STAGE_PROJECT') 
CREATE TABLE T_PMPD_STAGE_PROJECT (
    FPKID                  BIGINT             DEFAULT 0 NOT NULL,        
    FID                    BIGINT             DEFAULT 0 NOT NULL,             
	FBASEDATAID            NVARCHAR(36)       DEFAULT ' ' NOT NULL
);
