﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_APPDISTINCTCONF')
 CREATE TABLE T_PMPD_APPDISTINCTCONF (
		FID           BIGINT          DEFAULT 0     NOT NULL,       
		FNUMBER       NVARCHAR(30)    DEFAULT ' '   NOT NULL,        
		FSTATUS       NVARCHAR(50)    DEFAULT ' '   NOT NULL,      
		FCREATORID    BIGINT          DEFAULT 0     NOT NULL,        
		FMODIFIERID   BIGINT          DEFAULT 0     NOT NULL,       
		FENABLE       NVARCHAR(50)    DEFAULT ' '   NOT NULL,        
		FCREATETIME   DATETIME,       
		FMODIFYTIME   DATETIME,        
		FMASTERID     BIGINT          DEFAULT 0     NOT NULL
);

EXEC P_ALTERPK 'PK_PMPD_APPDISTINCTCONF', 'T_PMPD_APPDISTINCTCONF', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_APPDISTINCTCONF_FNUM') CREATE INDEX IDX_PMPD_APPDISTINCTCONF_FNUM ON T_PMPD_APPDISTINCTCONF ( FNUMBER );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_APPDISTINCTCONF_FCT') CREATE INDEX IDX_PMPD_APPDISTINCTCONF_FCT ON T_PMPD_APPDISTINCTCONF ( FCREATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_APPDIS_FILTER')
 CREATE TABLE T_PMPD_APPDIS_FILTER (
		FENTRYID      BIGINT           DEFAULT 0     NOT NULL,       
		FID           BIGINT           DEFAULT 0     NOT NULL,        
		FSEQ          INT              DEFAULT 0     NOT NULL,       
		FFIELDS       NVARCHAR(1000)   DEFAULT ' '   NOT NULL,       
		FLOGIC        NVARCHAR(50)     DEFAULT ' '   NOT NULL,        
		FSELECTFIELD  NVARCHAR(255)    DEFAULT ' '   NOT NULL
);

EXEC P_ALTERPK 'PK_PMPD_APPDIS_FILTER', 'T_PMPD_APPDIS_FILTER', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_APPDIS_FILTER_FEQ') CREATE INDEX IDX_PMPD_APPDIS_FILTER_FEQ ON T_PMPD_APPDIS_FILTER ( FID,FSEQ );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMPD_PLANROOMRES')
 CREATE TABLE T_PMPD_PLANROOMRES (
		FENTRYID      BIGINT           DEFAULT 0     NOT NULL,       
		FID           BIGINT           DEFAULT 0     NOT NULL,     
		FSEQ          INT              DEFAULT 0     NOT NULL,        
		FRESOURCEID   BIGINT           DEFAULT 0     NOT NULL 
);

EXEC P_ALTERPK 'PK_PMPD_PLANROOMRES', 'T_PMPD_PLANROOMRES', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_PLANROOMRES_FEQ') CREATE INDEX IDX_PMPD_PLANROOMRES_FEQ ON T_PMPD_PLANROOMRES ( FID,FSEQ );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_PLANROOMUSE' AND KSQL_COL_NAME ='FMODELID')
 ALTER TABLE T_PMPD_PLANROOMUSE ADD ( FMODELID BIGINT DEFAULT 0 NOT NULL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_PLANROOMUSE' AND KSQL_COL_NAME ='FVIEWSCHEMEID')
 ALTER TABLE T_PMPD_PLANROOMUSE ADD ( FVIEWSCHEMEID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_PLANROOMUSE' AND KSQL_COL_NAME ='FENTITYID')
 ALTER TABLE T_PMPD_PLANROOMUSE ADD ( FENTITYID NVARCHAR(255) DEFAULT 0 NOT NULL );



